export default {
    roots: ['<rootDir>/src/tests/'],
    transform: {
        '^.+\\.(ts|tsx)$': 'ts-jest',
    },
    testRegex: '(/__tests__/.*|(\\.|/)(test|spec))\\.tsx?$',
    moduleFileExtensions: ['ts', 'tsx', 'js', 'jsx', 'json', 'node'],
    testRunner: 'jest-jasmine2',
    reporters: ['default', 'jest-teamcity'],

    setupFiles: ['<rootDir>/src/tests/conf/setup.ts'],
    setupFilesAfterEnv: ['<rootDir>/src/tests/conf/setup-after-env.ts'],

    bail: 1,
    verbose: true,
    testSequencer: '<rootDir>/src/tests/conf/sequencer.js',
    testTimeout: 60_000,

    coverageProvider: 'v8',
    coverageReporters: ['json', 'lcov', 'text', 'clover', 'teamcity'],
    coverageThreshold: {
        global: {
            branches: 60,
            functions: 60,
            lines: 60,
            statements: 60,
        },
    },
}
